
//
//	ZSoft PCX version 5 decoder - copyleft 1899 brioche/aspirine
//	handles 8-bpp pictures only, poor error checking, who cares?
//

#ifndef _PCX_H_INCLUDED
#define _PCX_H_INCLUDED

typedef struct 
{
	int width, height;
	char *pixmap;
	unsigned int palette[256];
}PCX_8bpp;
	
int loadPcx(const char *filename, PCX_8bpp *image);

inline void conv_PCX_8bpp_to_32bpp(unsigned int *dest, PCX_8bpp *src)
{
	int size = src->width*src->height;
	unsigned char *p = (unsigned char*)src->pixmap;
	while (size--) {
		*dest++ = src->palette[*p++];
	}
}

#endif // _PCX_H_INCLUDED
