//
// Life is a BiZZ.
// A Corporate Presentation by the Aspirine Marketing Division.
//
// Coded by brioche <brioche@linuxbe.org>
// I'm not fucking proud of this shitty code but It has been written in a hurry, as usual.
//
// Greets flies out to Colas et al. 
//

#include <iostream>
#include <string>
#include <cstdlib>
#include <cstring>
#include <ctime>
#include <cmath>
#include <ptc.h>

#include "pcx.h"
#include "audio.h"

static const float epsilon = 0.00001f;

// Limits
enum {
  num_slides = 23,
  num_patterns = 3,
  slide_width = 640,
  slide_height = 480, 
  screen_width = slide_width,
  screen_height = slide_height,
  max_steps = 128
};


// Types
typedef unsigned int pixel_t;
typedef void (*effect)(pixel_t*, pixel_t*);


// HARMFUL GLOBAL VARIABLES - SHAME ON ME!
// The console is a global object as such as the timer and the frame buffer
// That sucks but I don't give a shit, it's a hurrytro! ;-)
Console con;
Timer timer;
Surface* surface;
pixel_t current_slide[slide_width*slide_height];
unsigned char pattern[slide_width*slide_height];

// ARGH!
int current = 0;

// FX Prototypes
void fx_null(pixel_t* surf, pixel_t* slide);
void fx_left_right(pixel_t* surf, pixel_t* slide);
void fx_right_left(pixel_t* surf, pixel_t* slide);
void fx_top_bottom(pixel_t* surf, pixel_t* slide);
void fx_bottom_top(pixel_t* surf, pixel_t* slide);
void fx_dissolve(pixel_t* surf, pixel_t* slide);
void fx_xor(pixel_t* surf, pixel_t* slide);
void fx_oblik(pixel_t* surf, pixel_t* slide);
void fx_oblik_inv(pixel_t* surf, pixel_t* slide);
void fx_inv(pixel_t* surf, pixel_t* slide);
void fx_circles(pixel_t* surf, pixel_t* slide);
void fx_circles_inv(pixel_t* surf, pixel_t* slide);
void fx_hslide(pixel_t* surf, pixel_t* slide);
void fx_vslide(pixel_t* surf, pixel_t* slide);
void fx_test(pixel_t* surf, pixel_t* slide);
void fx_hline(pixel_t* surf, pixel_t* slide);
void fx_vline(pixel_t* surf, pixel_t* slide);
void fx_scroll_right(pixel_t* surf, pixel_t* slide);
void fx_test(pixel_t* surf, pixel_t* slide);

// Slide : filename, delay (OpenPTC timer) and out-transition fx
struct slide {
  char* s_name;
  float s_delay;
  effect s_fx;
};


// The slideware database
slide slides[num_slides] = {
  { "../slideware/slide1.pcx", 1+4, fx_null },
  { "../slideware/slide2.pcx", 1+3.5, fx_dissolve },
  { "../slideware/slide3.pcx", 1+4, fx_left_right },
  { "../slideware/slide4.pcx", 1+3, fx_oblik },
  { "../slideware/slide5.pcx", 1+3.5, fx_top_bottom },
  { "../slideware/slide6.pcx", 1+3.5, fx_bottom_top },
  { "../slideware/slide7.pcx", 1+5, fx_hline },
  { "../slideware/slide8.pcx", 1+5, fx_scroll_right },
  { "../slideware/slide9.pcx", 1+7, fx_circles },
  { "../slideware/slide10.pcx",1+3.5, fx_top_bottom },
  { "../slideware/slide11.pcx", 1+3.5, fx_hslide },
  { "../slideware/slide12.pcx", 1+3, fx_dissolve },
  { "../slideware/slide13.pcx", 1+3.5, fx_vslide },
  { "../slideware/slide14.pcx", 1+3.5, fx_circles_inv },
  { "../slideware/slide15.pcx", 1+4, fx_oblik_inv },
  { "../slideware/slide16.pcx", 1+4, fx_vline },
  { "../slideware/slide17.pcx", 1+4, fx_oblik },
  { "../slideware/slide18.pcx", 1+4, fx_scroll_right },
  { "../slideware/slide19.pcx", 1+4, fx_dissolve },
  { "../slideware/slide20.pcx", 1+4, fx_scroll_right },
  { "../slideware/slide21.pcx", 1+4, fx_circles },
  { "../slideware/slide22.pcx", 1+3, fx_hline },
  { "../slideware/slide23.pcx", 1+3, fx_circles } 
};

// Some shortcut
inline void blit()
{
  surface->copy(con);
  con.update();
}


// Boohah!
inline pixel_t pack_pixel(int r, int g, int b)
{
  return (r<<16) + (g<<8) + b;
}


// Argl!
inline void memcpy32(unsigned *to, const unsigned *from, unsigned count)
{
    while ( count-- )
        *to++ = *from++;
}


// Cool
inline void copy_rect(int x, int y, int w, int h, pixel_t* src, pixel_t* dest)
{
    pixel_t* p = dest+y*screen_width+x;
    pixel_t* p2 = src+y*screen_width+x;
    while (h--) {
        memcpy32(p, p2, w);
        p += screen_width;
        p2 += screen_width;
    }
}


// PATTERN STUFF FOLLOWS
// f(x,y)
typedef unsigned char (*patt_func)(int, int);

// apply f(x,y) to each pattern element
inline gen_pattern(patt_func f, unsigned char* patt)
{
  for (int y = 0; y < screen_height; ++y)
    for (int x = 0; x < screen_width; ++x)
      *patt++ = f(x, y) % max_steps;
}

// workhorse func
inline void apply_pattern(int step, pixel_t* dest, pixel_t* src, unsigned char* patt)
{ 
  pixel_t *end = dest+screen_width*screen_height;
  while (dest < end) {
    if (*patt == step)
      *dest = *src;
    dest++, src++, patt++;
  }
}

inline void fx_pattern(pixel_t* surf, pixel_t* slide, patt_func func)
{
  //cerr << "gen...";
  gen_pattern(func, pattern);
  //cerr << "apply...";
  for (int s = 0; s < max_steps; ++s) {
    apply_pattern(s, surf, slide, pattern);
    blit();
  }
}

template <typename T> T sqr(T x) { return x*x; }

inline float to_nzfloat(int x)
{
  return x ? float(x) : epsilon;
}


inline float calc_dist(int x, int y)
{
  return sqrt(sqr<float>(to_nzfloat(y-screen_height/2))+sqr<float>(to_nzfloat(x-screen_width/2)));
}



inline float calc_angle(int x, int y)
{
  return atan(to_nzfloat(y-screen_height/2)/to_nzfloat(x-screen_width/2));
}


// Copy
void fx_null(pixel_t* surf, pixel_t* slide)
{
  memcpy32(surf, slide, slide_width*slide_height);
  blit();
}


//
unsigned char patt_xor(int x, int y) { return (x^y)>>3; }

void fx_xor(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_xor);
}


//
unsigned char patt_left_right(int x, int y) { return (10*x) / max_steps; }

void fx_left_right(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_left_right);
}


//
unsigned char patt_right_left(int x, int y) { return 10*(screen_width-x) / max_steps; }

void fx_right_left(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_right_left);
}


//
unsigned char patt_top_bottom(int x, int y) { return (10*y) / max_steps; }

void fx_top_bottom(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_top_bottom);
}

//
unsigned char patt_bottom_top(int x, int y) { return 10*(screen_height-y) / max_steps; }

void fx_bottom_top(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_bottom_top);
}


//
unsigned char patt_dissolve(int x, int y) { return rand(); }

void fx_dissolve(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_dissolve);
}


//
unsigned char patt_oblik(int x, int y) { return 10*(x+y)/max_steps; }

void fx_oblik(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_oblik);
}

//
unsigned char patt_oblik_inv(int x, int y) { return ~(10*(x+y)/max_steps); }

void fx_oblik_inv(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_oblik_inv);
}


//
unsigned char patt_circles(int x, int y) { return (unsigned char)(calc_dist(x, y)/3.3); }

void fx_circles(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_circles);
}

//
unsigned char patt_circles_inv(int x, int y) { return max_steps-(int(calc_dist(x, y)/3.3)%max_steps)-1; }

void fx_circles_inv(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_circles_inv);
}

//
unsigned char patt_hslide(int x, int y) { return y > (screen_height/2) ? patt_left_right(x, y) : patt_right_left(x, y); }

void fx_hslide(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_hslide);
}


//
unsigned char patt_vslide(int x, int y) { return x > (screen_width/2) ? patt_top_bottom(x, y) : patt_bottom_top(x, y); }

void fx_vslide(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_vslide);
}


// Custom pattern
void fx_hline(pixel_t* surf, pixel_t* slide)
{
  for (int y = 0; y < screen_height; ++y)
    memset(pattern+y*screen_width, rand()%max_steps, screen_width);
  for (int s = 0; s < max_steps; ++s) {
    apply_pattern(s, surf, slide, pattern);
    blit();
  }
}

void fx_vline(pixel_t* surf, pixel_t* slide)
{
  for (int x = 0; x < screen_width; ++x) {
    int c = rand()%max_steps;
    for (int y = 0; y < screen_height*screen_width; y += screen_width) 
      pattern[y+x] = c;
  }
  for (int s = 0; s < max_steps; ++s) {
    apply_pattern(s, surf, slide, pattern);
    blit();
  }
}

void fx_scroll_right(pixel_t* surf, pixel_t* slide)
{
  int start = 0;
  for (int s = 0; s < max_steps; ++s) {
    for (int y = 0; y < screen_height*screen_width; y += screen_width)
      memcpy(surf+y+screen_width-start, slide+y, start<<2);
    blit();
    start += screen_width/max_steps;
  }
}

//
unsigned char patt_test(int x, int y) { return patt_circles_inv(x, y)+rand()%20; }

void fx_test(pixel_t* surf, pixel_t* slide)
{
  fx_pattern(surf, slide, patt_test);
}


// A part of the PowerPoint emulator...
inline void set_current(slide& s)
{
  PCX_8bpp pcx;
  //cerr << "debug: " << s.s_name << endl;
  loadPcx(s.s_name, &pcx);
  conv_PCX_8bpp_to_32bpp(current_slide, &pcx);
  free(pcx.pixmap);
}


// The kernel of the PowerPoint emulator ;-)
inline int show_slide(pixel_t* surf, float time)
{
  // This sucks... waow, i  never wrote such a pity code...
  static float last_time = 0;
  bool change = (time-last_time) > slides[current].s_delay;
  if (change) {
    if (++current == num_slides)
      return 1;
    set_current(slides[current]);
	//cerr << "debug: transition...";
    slides[current].s_fx(surf, current_slide);
	//cerr << "done!" << endl;
    // Take transition time into account
    last_time = timer.time();
  }
  return 0;
}


//
Audio* audio_factory(int argc, char* argv[])
{
  for (int arg = 1; arg < argc; arg++) {
    if (!strcmp(argv[arg], "-midas"))
      return new MIDAS_Audio;
    else if (!strcmp(argv[arg], "-null"))
      return new NULL_Audio;
  }
  // Default
  return new MIDAS_Audio;
}


//
void fadeout_tune(Audio* audio, float step = 0.05f, float treshold = 0.0f)
{
  float volume; 
  while ((volume = audio->volume()) > treshold)
    audio->set_volume(volume -= step);	
}


// Here we go again...
int main(int argc, char *argv[])
{

  srand(time(0));

  try {

   // Init Audio and load cheesy tune
    Audio* audio = audio_factory(argc, argv);
    audio->init();
    audio->info(cerr << "Audio Driver Loaded:" << endl) << endl;
    audio->open("../slideware/trip.xm");
    //cerr << "debug: trip.xm loaded" << endl;
    
    // Gfx setup
    Format fmt(32, 0xff0000, 0xff00, 0xff);
    con.open("ASPiRiNE's Life is a BiZZ", screen_width, screen_height, fmt);
    surface = new Surface(screen_width, screen_height, fmt);
    surface->clear();
    pixel_t* surf = (pixel_t*)surface->lock();
    
    // Start the music
    timer.start();
    audio->start();

    if (argc > 2) {
      int start_slide = atoi(argv[2]);
      if (start_slide >0)
        current  = start_slide;
    }
        
    //cerr << "debug: starting at slide " << current << endl;

    set_current(slides[current]);
    fx_null(surf, current_slide);
   
    while (!con.key()) {
      if (show_slide(surf, timer.time()))
        break;
    }

    memset(current_slide, 0, screen_width*screen_height*4);
    fx_circles_inv(surf, current_slide);

    //
    fadeout_tune(audio);
    audio->stop();
    audio->close();
    delete audio;
    
    // Clean gfx
    surface->unlock();
    delete surface;
    con.close();

    cerr << endl << endl
	 << "Copyleft (C) 2000, ASPiRiNE Inc. Marketing Division" << endl
      	 << "URL: http://aspirine.planet-d.net" << endl << endl
	 << "Inscene2k Multi-os demo Compo version" << endl << endl;
      
  } catch (Error &err) {
    err.report();
  } catch (Audio_Error& audio_err) {
    
    cerr << "Audio: " << audio_err.message << endl;
    return 1;
    
  } catch (string& err_msg) {
    cerr << "Error Message Caught: " << endl << err_msg << endl;
    return 1;
  }
  
  return 0;

}
